<?php
// No direct access to this file
defined('_JEXEC') or die;
 
/**
 * safironline component helper.
 */
abstract class safironlineHelper
{
	/**
	 * Configure the Linkbar.
	 */
	public static function addSubmenu($submenu) 
	{
		// set some global property
		$document = JFactory::getDocument();
		$document->addStyleDeclaration('.icon-48-safironline {background-image: url(../media/com_safironline/images/sms.png);}');
		if ($submenu == 'categories') 
		{
			$document->setTitle(JText::_('COM_safironline_ADMINISTRATION_CATEGORIES'));
		}
	}
	/**
	 * Get the actions
	 */
	public static function getActions($messageId = 0)
	{
		$user	= JFactory::getUser();
		$result	= new JObject;
 
		if (empty($messageId)) {
			$assetName = 'com_safironline';
		}
		else {
			$assetName = 'com_safironline.message.'.(int) $messageId;
		}
 
		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.delete'
		);
 
		foreach ($actions as $action) {
			$result->set($action,	$user->authorise($action, $assetName));
		}
 
		return $result;
	}
}
